Loading...
Searching...
No Matches
log_info Struct Reference
Osmocom logging framework

Logging configuration, passed to log_init. More...

`#include <logging.h>`

## Data Fields

log_filter * | filter_fn
const struct log_info_cat * | cat
| per-category information
unsigned int | num_cat
| total number of categories
unsigned int | num_cat_user
| total number of user categories (not library)
log_save_filters * | save_fn
| filter saving function
log_print_filters * | print_fn
| filter saving function

## Detailed Description

Logging configuration, passed to log_init.

## Field Documentation

## cat

const struct log_info_cat* log_info::cat

per-category information

Referenced by log_init().

## filter_fn

log_filter* log_info::filter_fn

Referenced by log_init().

## num_cat

unsigned int log_info::num_cat

total number of categories

Referenced by log_init().

## num_cat_user

unsigned int log_info::num_cat_user

total number of user categories (not library)

## print_fn

log_print_filters* log_info::print_fn

filter saving function

## save_fn

log_save_filters* log_info::save_fn

filter saving function

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h